Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Class DistributionPolicy.Default

    java.lang.Object
      org.apache.openjpa.slice.DistributionPolicy.Default

All Implemented Interfaces:
  DistributionPolicy

Enclosing interface:
  DistributionPolicy

    public static class DistributionPolicy.Default

extends Object
implements DistributionPolicy

Implements a default distribution policy to store the given instance to a randomly selected available slice.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.slice.DistributionPolicy
`DistributionPolicy.Default`

Constructor Summary
`DistributionPolicy.Default()`

Method Summary
`String` | `distribute(Object pc, List<String> slices, Object ctx)` Gets the name of the target slice where the given newly persistent or the detached, to-be-merged instance will be stored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributionPolicy.Default

    public DistributionPolicy.Default()

Method Detail

### distribute

    public String distribute(Object pc,
                             List<String> slices,
                             Object ctx)

  Description copied from interface: `DistributionPolicy`
  Gets the name of the target slice where the given newly persistent or the detached, to-be-merged instance will be stored.
  If the current state of the given instance is sufficient to determine the target slice, return null. In that case, the runtime will callback this method again before the instance being flushed to the datastore. By then, the policy must be able to determine the target slice.

  Specified by:
    `distribute` in interface `DistributionPolicy`
  Parameters:
    `pc` - The newly persistent or to-be-merged object.
    `slices` - list of names of the active slices. The ordering of the list is either explicit `openjpa.slice.Names` property or implicit i.e. alphabetic order of available identifiers if `openjpa.slice.Names` is unspecified.
    `ctx` - the generic persistence context managing the given instance.
  Returns:
    identifier of the slice. This name must match one of the given slice names.
  See Also:
    `DistributedConfiguration.getActiveSliceNames()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.